### Method

# Secret Service get_secret_for_dbus_path_finish

#### Declaration [src]

    SecretValue*
    secret_service_get_secret_for_dbus_path_finish (
      SecretService* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to get the secret value for an secret item stored in the service.

Will return `NULL` if the item is locked.

Stability: Unstable

This method is not directly available to language bindings.

#### Parameters

`result`

  Type: `GAsyncResult`

  Asynchronous result passed to callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SecretValue`

The newly allocated secret value for the item, which should be released with `secret_value_unref()`

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.